# $Revision: 1.55.2.5 $, $Date: 2003/12/19 23:25:27 $
Summary:	Nautilus is a file manager for the GNOME desktop environment
Summary(pl):	nautilus - powoka GNOME i menader plikw
Summary(pt_BR):	Nautilus  um gerenciador de arquivos para o GNOME
Name:		nautilus
Version:	1.0.6
Release:	14
License:	GPL
Group:		X11/Window Managers
Source0:	ftp://ftp.gnome.org/mirror/gnome.org/sources/nautilus/1.0//%{name}-%{version}.tar.bz2
# Source0-md5:	1a55dd341ed1d854bf668a5e5ed468bc
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-applnk.patch
Patch2:		%{name}-aclocal.patch
Patch3:		%{name}-amfix.patch
Patch4:		%{name}-bonobo-workaround.patch
Patch5:		%{name}-cpp.patch
Patch6:		%{name}-omf-encoding.patch
Patch7:		%{name}-mozilla-profile-startup.patch
Patch8:		%{name}-ac25.patch
Patch9:		%{name}-dblib_fix.patch
Patch10:	%{name}-ac_fix.patch
Patch11:	%{name}-new_mozilla.patch
Patch12:	%{name}-omf.patch
Patch13:	%{name}-desktop.patch
BuildRequires:	GConf-devel >= 0.12
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel >= 1.0.9
BuildRequires:	control-center-devel >= 1.3
BuildRequires:	eel-devel >= 1.0.2
BuildRequires:	esound-devel >= 0.2.22
BuildRequires:	freetype-devel >= 2.0.1
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.22.0-3
BuildRequires:	gettext-devel
BuildRequires:	gnome-applets
BuildRequires:	gnome-core-devel >= 1.4.0.4
BuildRequires:	gnome-http-devel
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	gnome-vfs-devel >= 1.0.3
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	imlib-devel >= 1.9.8
BuildRequires:	intltool
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1.0.1
BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.8.10
BuildRequires:	medusa-devel >= 0.5.1
BuildRequires:	mozilla-devel >= 1.2.1
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	scrollkeeper >= 0.1.4
BuildRequires:	xpdf >= 0.90
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	scrollkeeper
Requires:	gnome-http
Requires:	GConf >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)
%define		_sysconfdir	/etc/X11/GNOME

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l pl
GNU Nautilus jest menederem plikw i graficzn powok dla GNOME.
Suy rwnie bardzo dobrze jako przegldarka stron WWW.

%description -l pt_BR
O nautilus  um excelente gerenciador de arquivos para o GNOME.

%package devel
Summary:	Libraries and include files for developing Nautilus components
Summary(pl):	Pliki nagwkowe do tworzenia komponentw dla Nautilusa
Summary(pt_BR):	Bibliotecas e arquivos para desenvolvimento com o nautilus
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	eel-devel
Requires:	librsvg-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%description devel -l pl
Biblioteki i pliki nagwkowe potrzebne do programowania.

%description devel -l pt_BR
Este pacote fornece os arquivos necessrios para desenvolvimento
utilizando componentes do nautilus.

%package static
Summary:	Static Nautilus libraries
Summary(pl):	Biblioteki statyczne Nautilusa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Nautilus libraries.

%description static -l pl
Biblioteki statyczne Nautilusa.

%package mozilla
Summary:	Nautilus component for use with Mozilla
Summary(pl):	Cz Nautilisa do uywania z Mozill
Group:		X11/Window Managers
Requires:	%{name} = %{version}
Requires:	mozilla >= 1.1
Conflicts:	mozilla = M18
Conflicts:	mozilla = M17

%description mozilla
This enables the use of embedded Mozilla as a Nautilus component.

%description mozilla -l pl
Ten pakiet pozwala na uywanie wbudowanej Mozilli jako skadnika
Nautilusa.

%description mozilla -l pt_BR
Espe pacote permite a utilizao do Mozilla como um componente
Nautilus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p0
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
rm -f missing
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
%{__gettextize}
xml-i18n-toolize --force --copy --automake
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -DENABLE_SCROLLKEEPER_SUPPORT"
CPPFLAGS="`/usr/bin/nspr-config --cflags` -DNEW_H=\<new.h\>"; export CPPFLAGS
LDFLAGS="%{rpmldflags} `/usr/bin/nspr-config --libs`"
%configure \
	%{?debug:--enable-more-warnings} \
	%{!?debug:--disable-more-warnings} \
	--with-mozilla-lib-place=%{_libdir} \
	--with-mozilla-include-place=%{_includedir}/mozilla \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-db2html2
%attr(755,root,root) %{_bindir}/gnome-db2html3
%attr(755,root,root) %{_bindir}/gnome-info2html2
%attr(755,root,root) %{_bindir}/gnome-man2html2
%attr(755,root,root) %{_bindir}/hyperbola
%attr(755,root,root) %{_bindir}/nautilus
%attr(755,root,root) %{_bindir}/nautilus-adapter
%attr(755,root,root) %{_bindir}/nautilus-clean.sh
%attr(755,root,root) %{_bindir}/nautilus-content-loser
%attr(755,root,root) %{_bindir}/nautilus-error-dialog
%attr(755,root,root) %{_bindir}/nautilus-hardware-view
%attr(755,root,root) %{_bindir}/nautilus-history-view
%attr(755,root,root) %{_bindir}/nautilus-image-view
%attr(755,root,root) %{_bindir}/nautilus-launcher-applet
%attr(755,root,root) %{_bindir}/nautilus-music-view
%attr(755,root,root) %{_bindir}/nautilus-news
%attr(755,root,root) %{_bindir}/nautilus-notes
%attr(755,root,root) %{_bindir}/nautilus-preferences-applet
%attr(755,root,root) %{_bindir}/nautilus-restore-settings-to-default.sh
%attr(755,root,root) %{_bindir}/nautilus-sample-content-view
%attr(755,root,root) %{_bindir}/nautilus-sidebar-loser
%attr(755,root,root) %{_bindir}/nautilus-text-view
%attr(755,root,root) %{_bindir}/nautilus-throbber
%attr(755,root,root) %{_bindir}/nautilus-verify-rpm.sh
%attr(755,root,root) %{_bindir}/nautilus-xml-migrate
%attr(755,root,root) %{_bindir}/run-nautilus
%attr(755,root,root) %{_libdir}/libnautilus.so.*.*
%attr(755,root,root) %{_libdir}/libnautilus-*.so.*.*
%attr(755,root,root) %{_libdir}/libnautilus-*.so
%attr(755,root,root) %{_libdir}/vfs/modules/*.so
%attr(755,root,root) %{_libdir}/vfs/modules/*.la
%{_mandir}/man1/*
%{_sysconfdir}/vfs/modules/*.conf
%{_sysconfdir}/CORBA/servers/*
%{_applnkdir}/Utilities/*.desktop
%{_applnkdir}/Help/*.desktop
%{_datadir}/gnome/ui/*.xml
%{_datadir}/nautilus
%{_pixmapsdir}/*
%{_datadir}/oaf/Nautilus_ComponentAdapterFactory_std.oaf
%{_datadir}/oaf/Nautilus_Control_throbber.oaf
%{_datadir}/oaf/Nautilus_shell.oaf
%{_datadir}/oaf/Nautilus_View_content-loser.oaf
%{_datadir}/oaf/Nautilus_View_hardware.oaf
%{_datadir}/oaf/Nautilus_View_help.oaf
%{_datadir}/oaf/Nautilus_View_history.oaf
%{_datadir}/oaf/Nautilus_View_image.oaf
%{_datadir}/oaf/Nautilus_View_music.oaf
%{_datadir}/oaf/Nautilus_View_news.oaf
%{_datadir}/oaf/Nautilus_View_notes.oaf
%{_datadir}/oaf/Nautilus_View_sample.oaf
%{_datadir}/oaf/Nautilus_View_sidebar-loser.oaf
%{_datadir}/oaf/Nautilus_View_text.oaf
%{_datadir}/oaf/Nautilus_View_tree.oaf
%{_omf_dest_dir}/%{name}
%{_datadir}/idl/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus.la
%attr(755,root,root) %{_libdir}/libnautilus.so
%attr(755,root,root) %{_libdir}/*.sh
%attr(755,root,root) %{_bindir}/nautilus-config
%{_includedir}/libnautilus

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/vfs/modules/*.a

%files mozilla
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nautilus-mozilla-content-view
%{_datadir}/oaf/Nautilus_View_mozilla.oaf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus.spec,v $
Revision 1.55.2.5  2003/12/19 23:25:27  ankry
- added -desktop patch, rel. 14

Revision 1.55.2.4  2003/09/29 23:30:14  ankry
- removed bogus -q from %prep

Revision 1.55.2.3  2003/07/11 12:02:05  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.55.2.2  2003/06/21 22:47:09  blues
- release 13 - BR for fixed gdk-pixbuff from RA, should work (not tested
  yet) with mozilla 1.2.1

Revision 1.55.2.1  2002/11/26 10:24:05  qboosh
- fixed build with current mozilla; release 12

Revision 1.55  2002/10/09 09:53:36  qboosh
- BR: libtool; more specific Requires

Revision 1.54  2002/10/04 19:32:10  ankry
- added -omf patch, release 11

Revision 1.53  2002/08/11 17:18:12  mmazur
- fixed building... rel10; STBR

Revision 1.52  2002/08/11 13:09:21  mmazur
- ac/am regeneration works but doesn't compile... still trying though

Revision 1.51  2002/08/06 12:43:04  qboosh
- BR: gdk-pixbuf-gnome-devel; new %%doc

Revision 1.50  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.49  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/17 14:16:37  kloczek
- release 9: fixed omf files install path.

Revision 1.47  2002/05/10 18:48:01  kloczek
- release 8: rebuild against mozill 1.0.rc1.

Revision 1.46  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/03/15 21:19:02  wrobell
- fixed devel subpackage build requirements
- rel. 7
- stb

Revision 1.44  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/02/11 10:07:46  kloczek
- adapterized.

Revision 1.41  2002/02/11 09:07:25  wiget
xml-i18n-toolize patch po/Makefile.in.in, gettextize overwrite po/Makefile.in.in.
Call this tools in correct order.

Revision 1.40  2002/02/09 11:20:05  kloczek
- release 6,
- fixed install vfs module config file,
- removed unused patches,
- repace AM_GNU_GETTEXT patch by sed call in %build,
- merge ac25, mozilla-profile-startup, omf-encoding patches from rawhide,
- mode nautilus-help.desktop file to Help/ menu.

Revision 1.39  2002/02/09 09:39:12  filon
- sorry, commited %%files-only version of spec

Revision 1.38  2002/02/09 07:54:26  filon
- fixed gnome-vfs files in files section

Revision 1.37  2002/02/08 17:39:04  wiget
- install gnome-vfs config files in correct place (now info:, help:, man: works)
- gettextize
- handle mozilla with external nspr
- sort some files
- add missing files ( gnome-db2html3, nautilus-preferences-applet)
- bonobo components are loaded via name.so, move this files to main from devel
- move IDLs to main

Revision 1.36  2002/02/08 14:22:26  filon
- without xml-... patch builds with intltool
- removed this patch, removed BuildCondflicts: intltool, added BuldRequires for it
- release 4

Revision 1.35  2002/02/02 20:43:41  ankry
- adding es/fr Group translations

Revision 1.34  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/12/24 19:43:04  filon
- doesn't want to build with intltool, added buildconflicts for it
(builds with plain xml-i18n-tools)
- release 3

Revision 1.32  2001/12/03 17:31:39  qrczak
- nautilus-cpp.patch: fix an #include problem for gcc-3.x.
- Release 2.

Revision 1.31  2001/11/18 09:16:00  djrzulf
- Added one sentence in pl description,
- STBR

Revision 1.30  2001/11/17 23:02:51  djrzulf
- Added missed BuildRequires: xml-i18n-tools

Revision 1.29  2001/11/13 11:59:55  qboosh
- updated to 1.0.6, updated use_AM_GNU_GETTEXT patch
- aclocal and amfix patch needed to regenerate auto* files
- xml-i18n-rules patch needed to split xml-i18n-tools' @.*RULE@s
- bonobo-workaround patch to fix linking with bonobox

Revision 1.28  2001/10/30 20:30:17  dzimi
- udate to 1.0.5
- some patch are update to 1.0.5
- still don't build correctly

Revision 1.27  2001/10/07 14:55:00  blues
- aclocal added

Revision 1.26  2001/10/03 16:40:57  filon
- cosmetics in requires

Revision 1.25  2001/09/17 11:42:31  qboosh
- removed English "es" translations, added missing pl translations

Revision 1.24  2001/08/19 01:59:02  dzimi
- fix my stupid bug with # and Patch4 :)) its must by # at %Patch4 -p1 !! not
  section Patch4

Revision 1.23  2001/08/19 01:38:54  dzimi
- release 2: added some patch witch making easy to use nautilus with old gmc config file (?)
- It's also have got support to mozilla 0.9.3. Now it doesn't crash when it compile
- still Patch4 don't work corectly (it's making unstable nautilus-1.4.1 :/ maybe
  its Patch1 or Patch2 folks ?)
- STB
NOTE: nautilus is working great and it's ready to be sent to HEAD (test
at least) with all connected programs with.

Revision 1.22  2001/08/08 21:11:49  kloczek
- add --enable-static to configure parameters.

Revision 1.21  2001/08/06 07:40:26  kloczek
- many fixes, simplifications and cleanups,
- added static subpackage.

Revision 1.20  2001/07/24 17:42:17  blues
- added Requires Gconf >= 1.0.2 (our previous versions were broken...)
NOTE: nautilus is working great and it's ready to be sent to HEAD (test
at least) with all connected programs with.

Revision 1.19  2001/07/22 13:46:37  blues
- typos

Revision 1.18  2001/07/22 12:55:19  waszi
- cleanups
- need testing

Revision 1.17  2001/07/22 10:48:13  blues
- added some es and pt_BR translations
- modified %install (NFY)
- %configure2_13 used

Revision 1.16  2001/07/22 01:17:41  blues
- DESTDIR patch added (was not used)

Revision 1.15  2001/07/21 22:39:45  blues
- require gnome-http added

Revision 1.14  2001/07/21 21:30:56  blues
- adapterized
- pld-specyfic cosmetics

Revision 1.13  2001/07/21 10:16:15  dzimi

update to version 1.0.4

Revision 1.12  2001/04/14 09:59:45  kura
- release 2
- added BuildRequires: xml-i18n-tools

Revision 1.11  2001/04/08 17:48:49  misiek
corba removed

Revision 1.10  2001/04/07 17:03:56  misiek
oaf moved to main package

Revision 1.9  2001/04/07 16:50:12  misiek
missing attr

Revision 1.8  2001/04/07 16:47:03  misiek
should build ok, now

Revision 1.7  2001/04/01 22:28:38  misiek
started update to 1.0. Added almost 30 BuildRequires. %%build section
is ok; %%install may require DESTDIR patch update; %%files isn't
updated at all. Any volunteers to finish it?

Revision 1.6  2001/03/20 01:00:03  qboosh
- s/freetype2-devel/freetype-devel >= 2.0/

Revision 1.5  2000/11/19 23:38:16  michuz
- added %%post and %%postun field

Revision 1.4  2000/11/19 23:27:45  michuz
- updated to 0.5
- added devel package

Revision 1.3  2000/09/18 16:07:13  wrobell
- fixed buildrequires

Revision 1.2  2000/09/13 14:38:40  michuz
- added mozilla support (still not finished)

Revision 1.1  2000/09/06 11:05:27  michuz
- initial release (not finished yet)
